# Generated by Django 3.2.13 on 2022-04-24 14:16

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0016_totaisgeraisorganizacao'),
    ]

    operations = [
        # 5. Totais - TerritorioStatus
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisstatusorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaisstatusorganizacao AS
            SELECT st.id,
                   st.nome,
                   t.organizacao_id,
                   count(t.id) AS qtd_territorios
            FROM main_territorio t
                     JOIN main_territoriostatus st ON t.status_id = st.id
            WHERE
                t.deleted IS NULL AND
                t.teste is false
            GROUP BY t.organizacao_id, st.id, st.nome
            ORDER BY qtd_territorios desc, t.organizacao_id, st.id;
            """),
    ]
